<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional Edition 2008.0 (Release Candidate 3)       |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 | 
// +--------------------------------------------------------------------------+  
// | Build: 515   Date: Thu, 11 Sep 2008 09:52:35 +0200                       |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Blocks
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER" ) )
{
	die( "Error" );
}
/**
 * Latest news block
 * @author Philipp Louis Esselbach
 */
if( $preferences[ 'news_active' ] )
{
	$news_latest = ( isset( $datastore[ 'news_latest_hardware' ] ) ) ? $datastore[ 'news_latest_hardware' ] : "" ;  
	
	if( !$news_latest )
	{
		$currentdate = date( "Y-m-d H:i:s", gmmktime() );
		$seo_url = ( $preferences[ 'website_mod_rewrite' ] ) ? "" : "contentteller" . $preferences[ 'param_ext' ] . $preferences[ 'param_ct' ] ;
		if( $preferences[ 'news_start_expire_date' ] )
		{
			$news_expire_sql = " AND newsstory_startdate < '" . $currentdate . "' AND (newsstory_expiredate > '" . $currentdate . "' OR newsstory_neverexpire = '1')";
		}
		else
		{
			$news_expire_sql = "";
		}
		
		$news_latest = "";
	$channel_key = "81d58335"; 
$results = $database -> dbquery( "SELECT newsstory_seo, newsstory_title FROM " . DB_PREFIX . "esselbach_ct_newsstories WHERE newsstory_channels LIKE '%".$channel_key."%' AND (newsstory_status = '0' OR newsstory_status = '3') AND newsstory_frontpage = '1' AND (newsstory_website = '0' OR newsstory_website = '" . $preferences[ 'current_website' ] . "')" . $news_expire_sql . " ORDER BY newsstory_date DESC LIMIT 5" );  


		
		if( $database -> dbrows( $results ) )
		{
			while( list( $newsstory_seo, $newsstory_title ) = $database -> dbrow( $results ) )
			{
			
			
			 $length = 25;
                if ( strlen( $newsstory_title ) > $length) 
                { 
                    $newsstory_title = substr ( $newsstory_title, 0, $length ) . "..."; 
                }  

			
			
				$news_latest .= "<li><a href=\"" . $seo_url . "news" . $preferences[ 'param_action' ] . "story" . $preferences[ 'param_page' ] . $newsstory_seo . ".html\">" . htmlspecialchars( $newsstory_title ) . "</a></li>";
			}
		}
		else
		{
			if( $config[ 'ADMIN_LANGUAGE' ] == "de" )
			{
				$news_latest .= "Die Nachrichten Datenbank ist derzeit leer.";
			}
			else
			{
				$news_latest .= "The news database is currently empty.";
			}
		}
		
		$system -> datastoreput( "news_latest_hardware", $news_latest );  

	}
	
	echo $news_latest;
}
else
{
	if( $config[ 'ADMIN_LANGUAGE' ] == "de" )
	{
		echo "Das Nachrichtenmodul ist derzeit deaktiviert";
	}
	else 
	{
		echo "The news module is inactive";
	}
}
?>
